import D3Chart from '../D3Chart';
import { DateTrendOpts, TrendType } from './LineOptions';
/**
 * 日期趋势
*/
export default class extends D3Chart<DateTrendOpts> {
    __ClassName: string;
    __Grid: {
        left: number;
        right: number;
        top: number;
        bottom: number;
    };
    type: TrendType;
    marginLeft: number;
    showYAxis: boolean;
    dateFormat: string;
    dates: any[];
    dataMap: Map<String, {
        value: number;
        data?: any;
    }>;
    labelRotate: number;
    itemWidth: number;
    barWidth: number;
    widthScale: any;
    heightScale: any;
    lineTween: any;
    init(): void;
    sort(): void;
    build(): void;
    updateLine(): void;
    updateArea(): void;
    updateBar(): void;
    update(): void;
}
